最新消息:重新回归WordPress,我要比较认真的开始更新我的博客了。

在deepin上安装lnmp的暴走体验

服务器相关 hanlei 2694浏览

lnmp.org的最新版本已经修复这个问题,请使用官网的最新版本。

我有一台联想y450好多年没用过了,最近想拿出来装个linux在上面写程序。试装了ubuntu、linux mint、deepin最后还是觉的deepin最完美,不用操心中文编码,应用软件也比较全,自带了openConnect,我在ubuntu上装了半天也没知道怎么用。总之各种好。于是在装好了系统后开始安装lnmp开发环境。我用的是lnmp.org的一键包,因为没注意到他们官网上用红色标记的”深度/deepin只能使用服务器版,桌面版勿用!!“,开始了安装lnmp的暴走之旅。

第一次安装完成后,试了一下localhost可以正常访问,但其实我的浏览器已经被卸载了,只有在安装前打开了一个网页没有关闭,关闭后我就发现我的浏览器再也找不到了。随之消失和还有系统自带的80%的应用,前之就是系统开净到什么也没有,最悲剧的是重起后连桌面也进不了。这时的我一脸茫然,完全不知道怎么回事,想来想去也想不出所以然。

因为不想放弃deepin,我又重装了系统。装完后各种测试没问题,又开始装lnmp。然后心里的担忧变成了现实,系统再一次被删完,我也知道了罪魁祸首,本来想去lnmp.org的官网上吐槽,结果就看见了这一行红字”深度/deepin只能使用服务器版,桌面版勿用!!“,也看到了有很多和我有一样遭遇的人,但没什么解决方案。

但我还是不想放弃,在百度后发现贴吧里有个完美解决方案,大概就是等lnmp装完后再把卸载的软件都装回来,于是我再一次重装了系统,并且备份了系统,想如果还是不行就恢复deepin放弃lnmp。没想到最后成功了。

下面是我恢复的命令和软件名

for packages in adwaita-icon-theme bamfdaemon blur-effect chmsee chrome-dde cups   cups-core-drivers cups-filters cups-filters-core-drivers dde dde-api   dde-control-center dde-daemon dde-desktop dde-disk-mount-plugin dde-dock   dde-file-manager dde-launcher dde-polkit-agent dde-qt5integration   dde-session-ui dde-trash-plugin deepin-appstore deepin-boot-maker   deepin-clone deepin-cloud-scanner deepin-crosswalk deepin-deb-installer   deepin-feedback deepin-manual deepin-menu deepin-metacity deepin-movie   deepin-notifications deepin-qml-widgets deepin-shortcut-viewer   deepin-system-monitor deepin-terminal deepin-wine-helper:i386 deepin-wm   deepin-wm-switcher deepin.com.qq.im:i386 fcitx-config-common   fcitx-config-gtk fcitx-frontend-gtk2 fcitx-frontend-gtk3 fcitx-frontend-qt4   fcitx-frontend-qt5 fcitx-sogoupinyin-uk file-roller foomatic-db-engine gcr   gedit ghostscript gir1.2-gdkpixbuf-2.0 gir1.2-gtk-3.0 gir1.2-gtksource-3.0   gir1.2-notify-0.7 gir1.2-peas-1.0 gir1.2-vte-2.91 gksu gnome-calculator   gnome-font-viewer gnome-icon-theme gnome-keyring gnome-themes-standard   google-chrome-stable gparted gstreamer1.0-plugins-bad   gstreamer1.0-plugins-good gtk-update-icon-cache gtk2-engines   gtk2-engines-murrine gtk2-engines-pixbuf gvfs-backends hplip imagemagick   imagemagick-6.q16 lastore-daemon libappindicator1 libcanberra-gtk3-0   libclutter-1.0-0 libclutter-gtk-1.0-0 libcogl-pango20 libcogl-path20   libcogl20 libcupsfilters1 libdbusmenu-gtk4 libdde-file-manager   libdeepin-metacity-private3 libdeepin-mutter0g libdeepin-wm0   libdframeworkdbus libdjvulibre21 libdtkwidget2 libdtkwm2 libevdocument3-4   libevview3-3 libfcitx-qt0 libfcitx-qt5-1 libffmpegthumbnailer4v5   libflashplugin-pepper libfontembed1 libgcr-ui-3-1 libgd3 libgd3:i386   libgdk-pixbuf2.0-0 libgksu2-0 libglade2-0 libgnome-desktop-3-12 libgphoto2-6   libgphoto2-6:i386 libgranite3 libgs9 libgspell-1-1 libgtk-3-0 libgtk2-perl   libgtk2.0-0 libgtkmm-2.4-1v5 libgtksourceview-3.0-1 libgxps2 libindicator7   libjpeg62-turbo libjpeg62-turbo:i386 liblcms2-utils liblept5   liblightdm-qt5-3-0 libmagickcore-6.q16-3 libmagickwand-6.q16-3 libmng1   libmpv1 libnautilus-extension1a libnm-gtk0 libnma0 libnotify-bin libnotify4   libopencv-calib3d2.4v5 libopencv-features2d2.4v5 libopencv-highgui2.4-deb0   libopencv-objdetect2.4v5 libpeas-1.0-0 libpolkit-qt5-1-1 libpoppler-cpp0v5   libpoppler-glib8 libpoppler64 libqapt3-runtime libqcef1 libqgsttools-p1   libqt4-declarative libqt4-opengl libqt5designer5 libqt5gui5 libqt5help5   libqt5multimedia5 libqt5multimedia5-plugins libqt5multimediawidgets5   libqt5opengl5 libqt5printsupport5 libqt5quick5 libqt5quickwidgets5   libqt5svg5 libqt5webkit5 libqt5widgets5 libqt5x11extras5 libqt5xdg2   libqt5xdgiconloader2 libqtgui4 libqtwebkit4 librsvg2-2 librsvg2-common   libsane libsane:i386 libsane-drs libsdl-image1.2 libspandsp2 libspectre1   libtesseract3 libtiff5 libtiff5:i386 libv4l-0 libv4l-0:i386 libv4lconvert0   libv4lconvert0:i386 libvte-2.91-0 libwebkit2gtk-4.0-37 libwebkitgtk-1.0-0   libwnck-3-0 libyelp0 libzbar0 mintdrivers miraclecast netease-cloud-music   network-manager-integration-plugins network-manager-l2tp-gnome   network-manager-openconnect-gnome network-manager-openvpn-gnome   network-manager-pptp-gnome network-manager-strongswan   network-manager-vpnc-gnome open-vm-tools-desktop pinentry-gnome3   poppler-utils printer-driver-c2050 printer-driver-c2esp   printer-driver-deepin-cloud-print printer-driver-foo2zjs   printer-driver-gutenprint printer-driver-hpcups printer-driver-pnm2ppa   printer-driver-postscript-hp printer-driver-ptouch printer-driver-pxljr   printer-driver-sag-gdi printer-driver-splix python-glade2 python-gtk2   python-pyqt5 python3-aptdaemon.gtk3widgets python3-dae python3-pil   python3-pyqt5 python3-pyqt5.qtmultimedia python3-pyqt5.qtquick   python3-pyqt5.qtwebkit python3-reportlab qml-module-qtgraphicaleffects    qml-module-qtquick-controls qml-module-qtquick-layouts   qml-module-qtquick-window2 qml-module-qtquick2 qt5dxcb-plugin simple-scan   sogoupinyin startdde system-config-printer system-config-printer-common   tesseract-ocr thunderbird thunderbird-locale-zh-hans vlc-plugin-base   xdg-desktop-portal-gtk yelp youdao-dict zenity ;
sudo apt-get --no-install-recommends install -y $packages;
done

 

 

转载请注明:HANLEI'BLOG » 在deepin上安装lnmp的暴走体验